{{/*
  トップページに対する定義
*/}}

{{ define "main" }}
  <!-- NEWSの表示 -->
  {{- $max := 5 }}
  {{- $pg1 := first $max (where .Site.Pages.ByDate.Reverse "Params.tags" "intersect" (slice "trouble-now")) }}
  {{- $pg2 := first $max (where .Site.Pages.ByDate.Reverse "Params.tags" "intersect" (slice "maintenance")) }}
  {{- $pg3 := first $max (where .Site.Pages.ByDate.Reverse "Params.tags" "intersect" (slice "info")) }}
  {{- $pg := (first $max (union $pg1 (union $pg2 $pg3))).ByDate.Reverse }}
  {{- if $pg }}
  <ul class="news">
  {{- range $pg }}
    <li>
      <span class="date">{{- .Date.Format "2006-01-02" -}}</span>
      {{- if in .Params.tags "trouble-now" }}
        <span class="trouble-now">障害連絡</span>
      {{- else if in .Params.tags "trouble" }}
        <span class="trouble">障害連絡</span>
      {{- else if in .Params.tags "maintenance" }}
        <span class="maintenance">メンテナンス</span>
      {{- else if in .Params.tags "info" }}
        <span class="info">お知らせ</span>
      {{- end }}
      <a href="{{ .RelPermalink }}">{{ .Title }}</a>
    </li>
  {{- end }}
  </ul>
  {{- end }}
  <!-- 本文 -->
  {{ .Content }}
{{ end }}
